using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//̳Զĵģʽ࣬Ҫֶȥקapiȥ
public class SingletonAutoMono<T> : MonoBehaviour where T:MonoBehaviour
{
    private static T instance;

    public static T GetInstance()
    {
        if (instance == null)
        {
            GameObject obj = new GameObject();
            //öΪű
            obj.name = typeof(T).ToString(); 
            //õ泡Ƴ
            DontDestroyOnLoad(obj);
            instance = obj.AddComponent<T>();
        }
        return instance;
    }

}
